package com.jeeplus.modules.sg.project.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.project.entity.WbsItem;
import com.jeeplus.modules.sg.project.entity.WbsSelection;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisMapper
public interface ItemMapper extends BaseMapper<WbsItem> {
    List<WbsItem> findList(WbsSelection wbsSelection);
    int insert(WbsItem wbsItem);

    //根据名称获取项目
    List<WbsItem> findItemByName(@Param("itemName")String itemName,@Param("projectId") String projectId);

    //删除项目
    Integer  updateItem(WbsItem wbsItem);
}
